/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TTextEditor_h_
#define _TTextEditor_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Класс текстового редактора - приёмника информации при выполнении
// операции перетаскивания
class TTextEditor : public TextEditor,
                    public FileDragAndDropTarget
{
public:
    TTextEditor(const String& sComponentName = L"TextEditor");
    ~TTextEditor();

    // Проверяет, необходимо ли обрабатывать сброшенные файлы
    bool isInterestedInFileDrag(const StringArray&);
    // Функция обработки файлов, сброшенных на компонент
    void filesDropped(const StringArray&, int, int);
};
//---------------------------------------------------------------------
#endif
